Packages - Freedom Issue #3198

cutefish-wallpapers license is marked as GPL in the package but in the upstream URL the license is
the Unsplash License

2022-03-04 05:06 PM - Anonymous

Status: duplicate % Done: 0%
Priority: bug

Assignee:

Category:

Description

I noticed that the package cutefish-wallpapers says its license is the GPL (it does not specify a version) while the upstream URL
reports the Unsplash license (which as far as I've understood is non-free due to the requirement "Photos cannot be sold without
significant modification"). If the latter license applies, I'd argue this package is non-free and thus it should be added in the
your-freedom blacklist.

What do you think?

History

#1 - 2022-03-04 06:04 PM - nona

I'm not an expert, but if there are other parts of the package which are useful, it could be that the pictures could be removed when the package is built
to clean it. Disclaimer: | am not familiar with the package, nor have examined it in any way.

#2 - 2022-03-05 05:48 PM - gap

| raised the same issue in #3109, as such this ticket is a duplicate.

nona, | just checked and there are zero files packaged in “cutefish-wallpapers™ which are both useful and libre.

#3 - 2022-03-08 07:50 PM - Anonymous

gap Sorry, | didn't notice that you opened an issue already about this. I'll make sure to do a quick search before posting the next time.

Speaking of which... It seems there are concerns whether the Unsplash license is free or not (or the issue merely died). To me there is no debate to
be made: that license is, in my humble opinion, non-free, but I'm not a lawyer.

#4 - 2022-03-09 01:47 PM - gap

@sjoel, don't worry about it.

Yeah, Unsplash moved from CCO to their own anticompetetive license in order to stamp out competition, otherwise they would have wasted their
time.

#5 - 2022-03-31 12:30 AM - GNUtoo

- Status changed from unconfirmed to duplicate

2024-04-25 1/1



https://labs.parabola.nu/issues/3109
https://labs.parabola.nu/users/742
http://www.tcpdf.org

